Subject: RE: [XCON] Comments on draft-ietf-xcon-framework-01.txt - templates VSblueprints

From: "Orit Levin" <[email-masked]>
Date: Mon, 12 Sep 2005 14:43:51 -0700

Umesh,

The conceptual difference between the two is that
- Template is the definition (in .xsd) of how a conference capabilities
can be expressed using XML.
- Blueprint is the instance (in .xml) of a template kept in a system and
describing what the initial capabilities/state of a conference created
from the blueprint are going to be.

Orit. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Monday, September 12, 2005 11:36 AM
> To: [email-masked]
> Subject: [XCON] Comments on draft-ietf-xcon-framework-01.txt 
> - templates VSblueprints
> 
> Hello,
>  
> As part of the review of framwork document i wanted to raise 
> some issue relating to blueprint and template definition and 
> use in the draft. I am not sure if this issues have been 
> raised before (I know Dave had sent some comments regarding 
> blueprints and templates), but if it has accept my apologies. 
> I am just trying to understand clearly the definition and 
> difference between templates and blueprint.
>  
> On page 7 (section 3, 3 paragraph), it says "For conference 
> creation, a Conference  Object provides a "blueprint" 
> representing the System Capabilities". By system capabilities 
> does it mean what types of media is allowed, how many 
> participants can participate in the conference, what types of 
> media control are available to the participants, etc" If that 
> is so, then how different it is from conference template 
> (which is part of the conference object).? So my question is 
> what is System capabilties and how are they indicated in the 
> blueprint which is different from the way they are indicated 
> in the conference template.
>  
> On page 19 section 6.2 last paragraph), the draft says "The 
> selected blueprint with its default values is copied by the 
> server into a newly created Conference Object, referred to as 
> an 'Active Conference'. Do we mean blueprint or conference 
> tempalate here ? Does the blueprint has default values and if 
> so what types of default values does it assume. I know the 
> templates have default values (like the MUTE control by 
> default is disabled). This is a little confusing to me since 
> in section 6.3 (second paragraph) the drafts says "Firstly, a 
> client would query a Conferencing System for its 
> capabilities.  This can be done by requesting a list of the 
> Conference Object "blueprints" (or templates) the system 
> supports". Clearly here it means conference templates since 
> conference templates defines what the conference server 
> supports in terms of media, control, participant roles etc 
> (which you mention later in the paragraph). So why 
> distinguish between 2 different scenrios, unless blueprint 
> and templates means the same.
>  
> Finally an example of an blueprint (may be XML) would really 
> aid in understanding how the conference server uses it to 
> create a conference object.
>  
>  
> BR
>  
> Umesh
>  
>  
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon